{% extends "/default/default.twig" %}
{% block title %}Lista territori{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/template/default/css/datatables.css" rel="stylesheet" type="text/css">
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-md-12">
            <h1 class="titleHeader">Lista territori</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="dataTable_wrapper">
                <table id="dataTables-territori" class="table table-striped table-bordered table-hover table-responsive" width="100%">
                    <thead>
                    <tr>
                        <th>territorio</th>
                        <th>tot nominativi</th>
                        <th>ultima assegnazione</th>
                        <th>ultimo rientro</th>
                        <th>proclamatore</th>
                        <th>stato</th>
                        <th width="200px"></th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

{% endblock %}


{% block adding_js %}
    <!-- DataTables JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="{{dirDefault}}/template/default/js/jquery.datatable.appConfig.js"></script>
    <script>
        var status;

        $('#dataTables-territori').DataTable( {
            processing: true,
            serverSide: true,
            ajax: {
                url: '{{dirDefault}}/territorio/load_lista',
                type: 'POST'
            },
            stateSave: true,
            columns: [
                {
                    "class":          "nome_territorio",
                    "orderable":      true,
                    "data":           "nome_territorio",
                    "defaultContent": ""
                },
                {
                    "class":          "nominativi",
                    "orderable":      true,
                    "data":           "nominativi",
                    "defaultContent": ""
                },
                {
                    "class":          "ultima_uscita",
                    "orderable":      false,
                    "data":           "ultima_uscita",
                    "defaultContent": ""
                },
                {
                    "class":          "ultimo_rientro",
                    "orderable":      false,
                    "data":           "ultimo_rientro",
                    "defaultContent": ""
                },
                {
                    "class":          "proclamatore",
                    "orderable":      true,
                    "data":           "proclamatore",
                    "defaultContent": ""
                },
                {
                    "class":          "id_territorio",
                    "orderable":      false,
                    "data":           "id_territorio",
                    "render": function (data, type, row ) {
                        var giorni = row.giorni;
                        var scadenza = row.scadenza;
                        var stato = row.stato;
                        var class_circle;

                        //DEFINIZIONE SCADENZA TERRITORIO
                        //0 : territorio in reparto
                        //1 : territorio assegnato
                        //2 : territorio assegnato in scadenza
                        //3 : territorio assegnato scaduto

                        switch(scadenza) {
                            case 0:
                                class_circle = "btn-default";
                                ;break;
                            case 1:
                                class_circle = "btn-success";
                                ;break;
                            case 2:
                                class_circle = "btn-warning";
                                ;break;
                            case 3:
                                class_circle = "btn-danger";
                                ;break;
                        }

                       return "<button type='button' class='btn "+ class_circle +" btn-circle cursor_default'> " + giorni +"</button>  In " + stato;

                    }
                },
                {
                    "class":          "id_territorio",
                    "orderable":      false,
                    "data":           "id_territorio",
                    "render": function (data, type, row ) {
                        return '' +
                                '<a href="{{dirDefault}}/territorio/dettagli/nominativi/'+data+'" class="btn btn-primary" style"width:80px">Dettagli</a>&nbsp;' +
                                '<a href="{{dirDefault}}/territorio/dettagli/nominativi/csv/'+data+'" class="btn btn-info" style"width:80px" target="_blank">Stampa</a>' +
                                '';
                    },
                    "defaultContent": ""
                }
            ],
            order: [
                [1, 'asc'],
            ]
        });
    </script>
{% endblock %}